Name:          heroic-games-launcher
Version:       2.4.1
Release:       1mamba
Summary:       A Native GOG and Epic Games Launcher
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://heroicgameslauncher.com/
Source:        https://github.com/Heroic-Games-Launcher/HeroicGamesLauncher.git/v%{version}/HeroicGamesLauncher-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrandr-devel
BuildRequires: libalsa-devel
BuildRequires: libat-spi2-atk-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libcups-devel
BuildRequires: libdbus-devel
BuildRequires: libdrm-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libmesa-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libpango-devel
BuildRequires: libpython3-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwayland-devel
BuildRequires: libxcb-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: yarn

%description
A Native GOG and Epic Games Launcher.

%debug_package

%prep
%setup -q -n HeroicGamesLauncher-%{version}

%build
yarn
yarn dist:linux tar.xz

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d %{buildroot}%{_datadir}/heroic
cp -r dist/linux-unpacked/* %{buildroot}%{_datadir}/heroic/

install -d %{buildroot}%{_bindir}
ln -s %{_datadir}/heroic/heroic %{buildroot}%{_bindir}/heroic

install -D public/icon.png %{buildroot}%{_datadir}/pixmaps/heroic.png

install -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/heroic.desktop << _EOF
[Desktop Entry]
Name=Heroic Games Launcher
Exec=%{_datadir}/heroic/heroic %U
Terminal=false
Type=Application
Icon=heroic
StartupWMClass=Heroic
Comment=Open Source GOG and Epic Games launcher
MimeType=x-scheme-handler/heroic;
Categories=Game;
_EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)

%{_bindir}/heroic
%{_datadir}/applications/heroic.desktop
%{_datadir}/pixmaps/heroic.png
%dir %{_datadir}/heroic
%{_datadir}/heroic/*
%doc COPYING

%changelog
* Thu Sep 01 2022 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Tue Aug 16 2022 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Fri Aug 05 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.10-1mamba
- package created using the webbuild interface
